<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.transfer.mapper.DmpDeviceCommandMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.transfer.domain.DmpDeviceCommand">
        <id column="id" property="id" />
        <result column="product_code" property="productCode" />
        <result column="device_id" property="deviceId" />
        <result column="command_content" property="commandContent" />
        <result column="command_response" property="commandResponse" />
        <result column="command_status" property="commandStatus" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="updated_by" property="updatedBy" />
        <result column="updated_time" property="updatedTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
        <result column="user_name" property="userName" />
        <result column="user_id" property="userId" />
    </resultMap>

</mapper>
